using System;
using NinjaTrader.Cbi;

internal sealed class Delegate381 : MulticastDelegate
{
	public extern Instrument Invoke(object object_0);

	public static Instrument smethod_0(object object_0, Delegate381 delegate381_1)
	{
		return delegate381_1(object_0);
	}

	public extern Delegate381(object object_0, IntPtr intptr_0);

	static Delegate381()
	{
		Class10.smethod_13(typeof(Delegate381).TypeHandle);
	}

	internal static Delegate381 delegate381_0;
}
